Package org.silverpeas.components.quizz

## Class QuizzException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.silverpeas.kernel.SilverpeasException
      - - org.silverpeas.core.exception.SilverpeasException
        - - org.silverpeas.components.quizz.QuizzException

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`

      public class QuizzException
      extends org.silverpeas.core.exception.SilverpeasException

  Non runtime exception management for this jobPeas.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.exception.SilverpeasException

      `ERROR, FATAL, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuizzException​(String callingClass, int errorLevel, String message)` |
    `QuizzException​(String callingClass, int errorLevel, String message, Exception nested)` |
    `QuizzException​(String callingClass, int errorLevel, String message, String extraParams)` |
    `QuizzException​(String callingClass, int errorLevel, String message, String extraParams, Exception nested)` | Constructor which calls the super constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getModule()` | Returns the name of this jobPeas

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasException

      `getChainedExceptions, getErrorLevel, getExtraInfos, getMessageLang, getMessageLang, getNested, printStackTrace, printStackTrace, printStackTrace, traceException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QuizzException

          public QuizzException​(String callingClass,
                                int errorLevel,
                                String message,
                                String extraParams,
                                Exception nested)

      Constructor which calls the super constructor
      Parameters:
        `callingClass` - (String) the name of the module which catchs the Exception
        `errorLevel` - (int) the level error of the exception
        `message` - (String) the level of the exception label
        `extraParams` - (String) the generic exception message
        `nested` - (Exception) the exception catched

    - #### QuizzException

          public QuizzException​(String callingClass,
                                int errorLevel,
                                String message,
                                String extraParams)

    - #### QuizzException

          public QuizzException​(String callingClass,
                                int errorLevel,
                                String message,
                                Exception nested)

    - #### QuizzException

          public QuizzException​(String callingClass,
                                int errorLevel,
                                String message)

  - ### Method Detail

    - #### getModule

          public String getModule()

      Returns the name of this jobPeas
      Specified by:
        `getModule` in interface `org.silverpeas.core.exception.FromModule`
      Specified by:
        `getModule` in class `org.silverpeas.core.exception.SilverpeasException`
      Returns:
        the name of this module